package com.module.backstage.fragment.product

import androidx.fragment.app.viewModels
import com.module.backstage.databinding.BackstageFragmentUpdateProductBinding
import com.module.backstage.vm.UpdateProductFragmentVM
import com.quyunshuo.androidbaseframemvvm.common.ui.BaseFragment
import dagger.hilt.android.AndroidEntryPoint

/**
 * 修改花型信息Fragment
 *
 * @author Qu Yunshuo
 * @since 2021/8/1 11:46 下午
 */
@AndroidEntryPoint
class UpdateProductFragment : BaseFragment<BackstageFragmentUpdateProductBinding, UpdateProductFragmentVM>() {


    override val mViewModel: UpdateProductFragmentVM by viewModels()
    override fun createVB() = BackstageFragmentUpdateProductBinding.inflate(layoutInflater)


    override fun BackstageFragmentUpdateProductBinding.initView() {

    }

    override fun initObserve() {
    }

    override fun initRequestData() {
        mViewModel.getBanners()
        mViewModel.getArticleData()
    }

}